package com.ruoyi.system.service_shate;

import com.ruoyi.system.domain_shate.Climate;
import com.ruoyi.system.domain_shate.RegionIndex;
import com.ruoyi.system.domain_shate.RoadFactor;
import com.ruoyi.system.domain_shate.WaterFactor;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author: JinSheng Song
 * @Date: 2022/7/8 11:23
 */
public interface IRegionalFactorService
{
    List<WaterFactor> sqlYear();

    List<RegionIndex> sqlYear1();

    List<RoadFactor> sqlYear2();

    List<WaterFactor> sqlWater(String zone,String year);

    List<RegionIndex>  sqlRegion(String zone,String year);

    List<RoadFactor>  sqlRoad(String zone,String year);

    Integer InsertWater(WaterFactor factor);

    Integer InsertWaterArea(RegionIndex index);

    Integer InsertRoadLength(RegionIndex index);

    Integer InsertRoad(RoadFactor factor);

    List<Climate> sqlClimate(String zone);
}
